# Fullwidth Templates for Any Theme & Page Builder #
**Contributors:** brainstormforce, nikschavan, WPCrafter, ramiy  
**Tags:** full width, fullwidth, template, beaver builder, elementor, genesis, primer, full width template, remove sidebar, page builder  
**Donate link:** https://www.brainstormforce.com/payment/  
**Requires at least:** 4.2  
**Tested up to:** 4.7  
**Stable tag:** 1.0.2  
**License:** GPLv2 or later  
**License URI:** http://www.gnu.org/licenses/gpl-2.0.html  

When using a Page Builder, things like page title, boxed layout usually limit your creativity. This plugin helps you go fullwidth on any* theme.

## Description ##
**Full Width Page Templates For Your Website**

Does your theme offer full width page templates? Need freedom to design beautiful full width layouts with page builder like Beaver Builder, Elementor? Need a complete blank template without header or footer for your landing pages?

This plugin adds Fullwidth Page Templates to overcome these limitations.

### Here is a quick video explaining how this plugin works ###

[youtube https://www.youtube.com/watch?v=LsIrXPHC0xM]

**Blank Template**

*   Removes header, footer, sidebar, comments, title and leaves you with a plain canvas
*   Awesome for landing pages where you need complete control over your layout

**Full Width Template**  

*   Removes Sidebar, page title, comments and stretches the layout to full width
*   Ideal if you're using a Page Builder

**Bonus - No Sidebar Template**  

*   Just Removes Sidebar
*   Perfect if your theme does not have No Sidebar option.
*   Rest of the layout & styling will remain intact.

  
**Made to work with Page Builders**  
When you're using a Page Builder, things like the default page title, boxed layout, extra margin and padding usually get in your way. This plugin puts you in absolute control and removes all unnecessary elements from your layout.

**Dead Simple**  
It adds three simple options for your pages & posts. Just choose the one and you should be all set.

**Potable & No Lock-in**  
If you're anything like us, you care what happens when you switch your themes. Generally changing theme means, you will need to edit all your pages and change templates. But if you're using a plugin like this - you won't have to worry about it.

**Supported & Actively Developed**  
Need help with something? Have an issue to report? [Get in touch][1] with us on GitHub.

**Some of the popular themes**

*   Genesis Framework by StudioPress
*   Primer Theme by GoDaddy
*   Twenty Sixteen

<blockquote>
### Disclaimer - ###

This option works on most of the themes; but it might not work on few depending on it's layout structure.
Please open up an issue on GitHub or send us a pull request for adding compatibility with your theme.
<p></p>
</blockquote>

Project by [Brainstorm Force][3]. 
 [1]: https://github.com/brainstormforce/fullwidth-templates/
 [2]: https://github.com/brainstormforce/fullwidth-templates/
 [3]: https://www.brainstormforce.com/

## Installation ##

1.  Install Fullwidth Templates either via the WordPress plugin directory or by uploading the files to your server at wp-content/plugins.
2.  Activate the plugin through the 'Plugins' menu in WordPress
3.  When creating or editing pages you will see options to select the fullwidth templates in the template selection dropdown, select any of the three templates and update the page.

Check Screenshots for more details.

## Screenshots ##
### 1. Extra Template Selection Options for Pages & Posts ###
![Extra Template Selection Options for Pages & Posts](http://ps.w.org/fullwidth-templates-for-any-theme-&-page-builder/assets/screenshot-1.png)

### 2. Default View on Primer Parent Theme ###
![Default View on Primer Parent Theme](http://ps.w.org/fullwidth-templates-for-any-theme-&-page-builder/assets/screenshot-2.png)

### 3. No Sidebar Template ###
![No Sidebar Template](http://ps.w.org/fullwidth-templates-for-any-theme-&-page-builder/assets/screenshot-3.png)

### 4. Fullwidth Template ###
![Fullwidth Template](http://ps.w.org/fullwidth-templates-for-any-theme-&-page-builder/assets/screenshot-4.png)

### 5. Blank - No Header / Footer Template ###
![Blank - No Header / Footer Template](http://ps.w.org/fullwidth-templates-for-any-theme-&-page-builder/assets/screenshot-5.png)


## Changelog ##

### 1.0.2 ###
- Prevent direct access to php files.
- Prevent direct access to directories.
- i18n: Load plugin translations.
- i18n: Use translation function for text strings.

### 1.0.1 ###
- New: Support for storefront theme.
- New: Support Custom Post types created by plugin Custom Post Type UI.

### 1.0.0 ###
- Initial Release
